Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class AbstractButton.ButtonChangeListener

    java.lang.Object
      |
      +--javax.swing.AbstractButton.ButtonChangeListener

All Implemented Interfaces:
  ChangeListener, EventListener, Serializable

Enclosing class:
  AbstractButton

protected class AbstractButton.ButtonChangeListener
extends Object
implements ChangeListener, Serializable

Extends `ChangeListener` to be serializable.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.